import { interstitialAdController } from '../../utils';
Page({
  onShow() {
    // 如果可以展示广告，则展示
    if (interstitialAdController.getCanShow()) {
      void interstitialAdController.show();
    } else {
      // 不能展示插屏广告，提示错误原因
      let content;
      if (interstitialAdController.getIsFirstShow()) {
        content = '小程序启动30秒后展示才能展示插屏广告';
      } else {
        content = '距离上次展示广告需要间隔60秒才能展示插屏广告';
      }
      tt.showModal({
        content,
        title: '提示',
      });
    }
  },
});
